package api

import (
	"fmt"
	"net/http"

	"git.mstar.dev/mstar/linstrom/web/public/api/activitypub"
)

func BuildApiRouter() http.Handler {
	router := http.NewServeMux()
	router.Handle(
		"/activitypub/",
		http.StripPrefix("/activitypub", activitypub.BuildActivitypubRouter()),
	)
	router.HandleFunc("/", func(w http.ResponseWriter, r *http.Request) {
		fmt.Fprint(w, "in api")
	})
	return router
}
